Bug 138366 - [PATCH] benchmarks/thrulay: update to 0.9
Summary: [PATCH] benchmarks/thrulay: update to 0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-31 01:50 UTC by Sylvio César Teixeira Amorim
Modified: 2009-09-19 21:10 UTC (History)
1 user (show)

See Also:


Attachments
thrulay-0.9.patch (5.30 KB, patch)
2009-08-31 01:50 UTC, Sylvio César Teixeira Amorim
no flags Details | Diff
thrulay-0.9.patch (4.92 KB, patch)
2009-09-03 23:50 UTC, Sylvio César Teixeira Amorim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvio César Teixeira Amorim 2009-08-31 01:50:02 UTC
- Update to 0.9
- Changed script of startup to work in default of FreeBSD
- Changed MASTER_SITES 
- Added PORTDOCS
- Added USE_LDCONFIG
- Changed pkg-plist

Added file(s):
- files/patch-configure

You can see log in mine tinderbox:
7-stable - i386
http://www.scjamorim.org/Home/thrulay-0.9.log
7-stable - amd64
http://www.scjamorim.org/Home/thrulay-0.9_amd64.log

Port maintainer (shalunov@shlang.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2009-08-31 01:50:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-08-31 01:50:42 UTC
Maintainer of benchmarks/thrulay,

Please note that PR ports/138366 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138366

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-08-31 01:50:46 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 shalunov 2009-08-31 02:01:06 UTC
I approve the patch.  Thank you!

On Sun, Aug 30, 2009 at 5:50 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of benchmarks/thrulay,
>
> Please note that PR ports/138366 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138366
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
Stanislav Shalunov
http://shlang.com/
Comment 5 Marcelo Araujo freebsd_committer 2009-09-02 02:46:36 UTC
State Changed
From-To: feedback->open

- Feedback received, thanks.
Comment 6 Marcelo Araujo freebsd_committer 2009-09-02 02:48:14 UTC
Responsible Changed
From-To: araujo->itetcu

Could you start to help me with this spammer?
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-09-02 21:15:07 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 8 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-09-02 21:15:26 UTC
> --- thrulay-0.9.patch begins here ---
> Index: Makefile
> ===================================================================
> RCS file: /home/ncvs/ports/benchmarks/thrulay/Makefile,v


 [ .. ]

>  post-install:
> +	@${CP} ${WRKSRC}/doc/*.[ht]* ${WRKSRC}/


This makes no sense. It translates to eg.:
/bin/cp /work/a/ports/benchmarks/thrulay/work/thrulay-0.9/doc/*.[ht]* /work/a/ports/benchmarks/thrulay/work/thrulay-0.9/
Maybe you wanted to install then in DOCSDIR?

> Index: pkg-plist
> ===================================================================
> RCS file: /home/ncvs/ports/benchmarks/thrulay/pkg-plist,v
> retrieving revision 1.1
> diff -u -u -r1.1 pkg-plist
> --- pkg-plist	20 Oct 2005 19:32:15 -0000	1.1
> +++ pkg-plist	31 Aug 2009 00:45:04 -0000
> @@ -1,5 +1,12 @@
>  bin/thrulay
>  sbin/thrulayd
> +include/thrulay/client.h
> +include/thrulay/server.h
> +lib/libthrulay.a
> +lib/libthrulay.la


 [ .. ]

We don't use .la files, thus they shouldn't be installed. Not a
problem to commit like this, but it would be nice if ether of you could
tweak patch the tarball not to install it.

> Index: files/patch-configure
> ===================================================================
> RCS file: files/patch-configure
> diff -N files/patch-configure
> --- /dev/null	1 Jan 1970 00:00:00 -0000
> +++ files/patch-configure	31 Aug 2009 00:45:04 -0000
> @@ -0,0 +1,11 @@
> +--- configure.orig	2007-02-01 07:47:36.000000000 -0200
> ++++ configure	2009-08-30 18:16:46.000000000 -0300
> +@@ -919,7 +919,7 @@
> + psdir='${docdir}'
> + libdir='${exec_prefix}/lib'
> + localedir='${datarootdir}/locale'
> +-mandir='${datarootdir}/man'
> ++mandir='/usr/local/man'


Don't hard-code paths! What if someone builds this port with custom
PREFIX?

> + 
> + ac_prev=
> + ac_dashdash=
> Index: files/thrulayd.sh.sample
> ===================================================================
> RCS file: /home/ncvs/ports/benchmarks/thrulay/files/thrulayd.sh.sample,v
> retrieving revision 1.1
> diff -u -u -r1.1 thrulayd.sh.sample
> --- files/thrulayd.sh.sample	20 Oct 2005 19:32:15 -0000	1.1
> +++ files/thrulayd.sh.sample	31 Aug 2009 00:45:05 -0000
> @@ -1,14 +1,21 @@
>  #!/bin/sh
>  
> -thrulayd=/usr/local/sbin/thrulayd
> +# PROVIDE: thrulay
>  
> -case "$1" in
> -start)
> -	[ -x $thrulayd ] && $thrulayd && echo -n ' thrulayd'
> -	;;
> -*)
> -	echo "Usage: `basename $0` {start}" >&2
> -	;;
> -esac
> +# Add the following line to /etc/rc.conf to enable `thrulayd':
> +#
> +#thrulayd_enable="YES"
> +#
>  
> -exit 0
> +. /etc/rc.subr
> +
> +name="thrulayd"
> +rcvar=`set_rcvar`
> +
> +# read settings, set default values
> +load_rc_config "${name}"
> +: ${thrulayd_enable="NO"}
> +
> +command="/usr/local/sbin/thrulayd"


Don't hard-code paths! What if someone builds this port with custom
PREFIX?

> +
> +run_rc_command "$1"


-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"
FreeBSD committer -> itetcu@FreeBSD.org, PGP Key ID 057E9F8B493A297B
Comment 9 Sylvio César Teixeira Amorim 2009-09-03 23:50:41 UTC
Gentlemen,

Following the patch with the modifications suggested by the Ion.

Some explications:

This line continue:
@${CP} ${WRKSRC}/doc/*.[ht]* ${WRKSRC}/

It was a practical and fast to install the docs (.html and .txt) and
not list them in pkg-plist, and automatically removed with the "make
deinstall"
If I put a "INSTALL_DATA" I would have to change the pkg-plist and
thus would not be a stripped down installation.

This lib continue too:

I saw that in the source there are many references to this lib, there
are too many port installing this lib, so I decided to keep it, as I
talked with the Ion.

I replaced the patch file for a REINPLACE_CMD in the makefile, and
putting a variable "prefix", so be amended in accordance with the will
of the User. In general, this form was more succinct and elegant.
Of:
mandir='${datarootdir}/man'

To:
mandir='${prefix}/man'


> +: ${thrulayd_enable="NO"}
> +
> +command="/usr/local/sbin/thrulayd"

Here I changed too, like this:

# read settings, set default values
+load_rc_config "${name}"
+: ${thrulayd_enable="NO"}
+: ${thrulayd_directory="/usr/local/sbin"}
+
+# path to your executable, might be bin, sbin, ...
+command="${thrulayd_directory}/thrulayd"
+
+run_rc_command "$1"

I believe that now is ready.

Thank you.

Regards,

Sylvio Cesar
Comment 10 Sylvio César Teixeira Amorim 2009-09-13 16:31:21 UTC
begin 644 thrulay-0.9.patch
M26YD97@Z($UA:V5F:6QE"CT]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]
M/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T*4D-3(&9I
M;&4Z("]H;VUE+VYC=G,O<&]R=',O8F5N8VAM87)K<R]T:')U;&%Y+TUA:V5F
M:6QE+'8*<F5T<FEE=FEN9R!R979I<VEO;B`Q+C,*9&EF9B`M=2`M=2`M<C$N
M,R!-86ME9FEL90HM+2T@36%K969I;&4),C4@2G5L(#(P,#@@,30Z,S0Z,3$@
M+3`P,#`),2XS"BLK*R!-86ME9FEL90DQ,R!397`@,C`P.2`Q-#HU,CHT,2`M
M,#`P,`I`0"`M-2PQ,"`K-2PY($!`"B`C("1&<F5E0E-$.B!P;W)T<R]B96YC
M:&UA<FMS+W1H<G5L87DO36%K969I;&4L=B`Q+C,@,C`P."\P-R\R-2`Q-#HS
M-#HQ,2!P878@17AP("0*(`H@4$]25$Y!344]"71H<G5L87D*+5!/4E1615)3
M24]./0DP+C@**U!/4E1615)324]./0DP+CD*($-!5$5'3U))15,]"6)E;F-H
M;6%R:W,@;F5T(&EP=C8*+4U!4U1%4E]3251%4ST):'1T<#HO+W5N8RYD;"YS
M;W5R8V5F;W)G92YN970O<V]U<F-E9F]R9V4O=&AR=6QA>2\@7`HM"0EH='1P
M.B\O:6YT97)N87`N9&PN<V]U<F-E9F]R9V4N;F5T+W-O=7)C969O<F=E+W1H
M<G5L87DO(%P**TU!4U1%4E]3251%4ST)4T8@7`H@"0EH='1P.B\O=W=W+FEN
M=&5R;F5T,BYE9'4O?G-H86QU;F]V+W1H<G5L87DO"B`*($U!24Y404E.15(]
M"7-H86QU;F]V0'-H;&%N9RYC;VT*0$`@+3$Y+#$R("LQ."PR-2!`0`H@34%.
M0T]-4%)%4U-%1#T);F\*($A!4U]#3TY&24=54D4]"7EE<PH@55-%7T=-04M%
M/0EY97,**U5315],1$-/3D9)1ST)>65S"BM54T5?4D-?4U5"4CT)=&AR=6QA
M>60**U-50E]&24Q%4ST)=&AR=6QA>60**PHK4$]25$1/0U,]"4-H86YG94QO
M9R!214%$344@=&AR=6QA>2UP<F]T;V-O;"YT>'0@=&AR=6QA>2UI;F1E>"YH
M=&UL"BL**W!O<W0M<&%T8V@Z"BL))'M214E.4$Q!0T5?0TU$?2`M92`G.3(R
M<RQD871A<F]O=&1I<BQP<F5F:7@L9R<@)'M74DM34D-]+V-O;F9I9W5R90HK
M"BMP;W-T+65X=')A8W0Z"BL)0"1[0U!]("1[5U)+4U)#?2]D;V,O*BY;:'1=
M*B`D>U=22U-20WTO"B`*('!O<W0M:6YS=&%L;#H*+0DD>TE.4U1!3$Q?4T-2
M25!4?2`D>T9)3$531$E2?2]T:')U;&%Y9"YS:"YS86UP;&4@)'M04D5&25A]
M+V5T8R]R8RYD+PHM"4!I9B!;("$@+68@)'M04D5&25A]+V5T8R]R8RYD+W1H
M<G5L87ED+G-H(%T[('1H96X@7`HM"0DD>T-0?2`M<"`D>U!2149)6'TO971C
M+W)C+F0O=&AR=6QA>60N<V@N<V%M<&QE(%P*+0D)"21[4%)%1DE8?2]E=&,O
M<F,N9"]T:')U;&%Y9"YS:"`[(%P*+0EF:0HK+FEF("%D969I;F5D*$Y/4$]2
M5$1/0U,I"BL)0"1[34M$25)]("1[1$]#4T1)4GT**RYF;W(@9&]C<R!I;B`D
M>U!/4E1$3T-3?0HK"21[24Y35$%,3%]$051!?2`D>U=22U-20WTO)'MD;V-S
M?2`D>T1/0U-$25)]"BLN96YD9F]R"BLN96YD:68**PE`)'M#051]("1[4$M'
M34534T%'17T*(`H@+FEN8VQU9&4@/&)S9"YP;W)T+FUK/@I);F1E>#H@9&ES
M=&EN9F\*/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]
M/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/0I20U,@9FEL93H@+VAO;64O
M;F-V<R]P;W)T<R]B96YC:&UA<FMS+W1H<G5L87DO9&ES=&EN9F\L=@IR971R
M:65V:6YG(')E=FES:6]N(#$N,@ID:69F("UU("UU("UR,2XR(&1I<W1I;F9O
M"BTM+2!D:7-T:6YF;PDR,B!*86X@,C`P-B`P.#HR,#HP-R`M,#`P,`DQ+C(*
M*RLK(&1I<W1I;F9O"3$S(%-E<"`R,#`Y(#$T.C4R.C0Q("TP,#`P"D!`("TQ
M+#,@*S$L,R!`0`HM340U("AT:')U;&%Y+3`N."YT87(N9WHI(#T@-S(U9F(Q
M,S,T-#8P.&$V-3)E.#$X8F-D,39F93EE9C8*+5-(03(U-B`H=&AR=6QA>2TP
M+C@N=&%R+F=Z*2`](&8Q,3AA,39F93DU86%C,V$Y,V0T,S!F-6%D9C9E,C!D
M.30S-V(W-3DV,3=B-S4Y-C`W-S@Y-V,U8S1B8F$X8C<*+5-)6D4@*'1H<G5L
M87DM,"XX+G1A<BYG>BD@/2`X.#@X,0HK340U("AT:')U;&%Y+3`N.2YT87(N
M9WHI(#T@93=A9&$S8S`V,S1D,F%A-C@X,CDY830S-#$V,68U8S@**U-(03(U
M-B`H=&AR=6QA>2TP+CDN=&%R+F=Z*2`](#,W,V0U-C$S9&9E,S<Q9C9B-&8T
M.&9C.#4S9C9C,C<W,#%B,CDX,6)A-#$P,#,X.&,Y.#@Q8V(X,#)D,3<X,&0*
M*U-)6D4@*'1H<G5L87DM,"XY+G1A<BYG>BD@/2`S-S`S,3(*26YD97@Z('!K
M9RUM97-S86=E"CT]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]
M/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T*4D-3(&9I;&4Z("]H
M;VUE+VYC=G,O<&]R=',O8F5N8VAM87)K<R]T:')U;&%Y+W!K9RUM97-S86=E
M+'8*<F5T<FEE=FEN9R!R979I<VEO;B`Q+C$*9&EF9B`M=2`M=2`M<C$N,2!P
M:V<M;65S<V%G90HM+2T@<&MG+6UE<W-A9V4),C`@3V-T(#(P,#4@,3DZ,S(Z
M,34@+3`P,#`),2XQ"BLK*R!P:V<M;65S<V%G90DQ,R!397`@,C`P.2`Q-#HU
M,CHT,2`M,#`P,`I`0"`M,2PT("LQ+#D@0$`*+51H92!P86-K86=E(&-O;G-I
M<W1S(&]F(&$@8VQI96YT("AT:')U;&%Y*2!A;F0@82!D865M;VX@*'1H<G5L
M87ED*2X*+51H92!T:')U;&%Y(&-L:65N="!I<R!U<V%B;&4@:6UM961I871E
M;'DN("!4:&4@=&AR=6QA>60@9&5A;6]N(&YE961S('1O(&)E"BUS=&%R=&5D
M+"!W:&EC:"!W:6QL(&AA<'!E;B!A=71O;6%T:6-A;&QY(&EN('1H92!N97AT
M(&)O;W0@8WEC;&4N("!9;W4@;6%Y"BUA;'-O('-T87)T(&ET(&UA;G5A;&QY
M(&)Y(&5N=&5R:6YG('1H<G5L87ED(&%S(')O;W0N"BLJ*BHJ*BHJ*BHJ*BHJ
M*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ
M*BHJ*BHJ*BHJ*BHJ*BHJ*@HK*B`@("`@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@
M("H**RH@5&AE('!A8VMA9V4@8V]N<VES=',@;V8@82!C;&EE;G0@*'1H<G5L
M87DI(&%N9"!A(&1A96UO;B`H=&AR=6QA>60I+B`@("`J"BLJ(%1H92!T:')U
M;&%Y(&-L:65N="!I<R!U<V%B;&4@:6UM961I871E;'DN("`@("`@("`@("`@
M("`@("`@("`@("`@("`@("`@*@HK*B`@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@
M("`@("H**RH@5&\@<G5N('1H<G5L87ED(&9R;VT@<W1A<G1U<"P@861D('1H
M<G5L87ED7V5N86)L93TB6453(B`@("`@("`@("`@("`@("`J(`HK*B!I;B!Y
M;W5R("]E=&,O<F,N8V]N9B`@("`@("`@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("`@("`@("`@("`@("H**RH@("`@("`@("`@("`@("`@("`@
M("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@("`@
M("`@("`@("`J"BLJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ
M*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*BHJ*@I);F1E
M>#H@<&MG+7!L:7-T"CT]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]
M/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T*4D-3(&9I;&4Z
M("]H;VUE+VYC=G,O<&]R=',O8F5N8VAM87)K<R]T:')U;&%Y+W!K9RUP;&ES
M="QV"G)E=')I979I;F<@<F5V:7-I;VX@,2XQ"F1I9F8@+74@+74@+7(Q+C$@
M<&MG+7!L:7-T"BTM+2!P:V<M<&QI<W0),C`@3V-T(#(P,#4@,3DZ,S(Z,34@
M+3`P,#`),2XQ"BLK*R!P:V<M<&QI<W0),3,@4V5P(#(P,#D@,30Z-3(Z-#$@
M+3`P,#`*0$`@+3$L-2`K,2PY($!`"B!B:6XO=&AR=6QA>0H@<V)I;B]T:')U
M;&%Y9`HM0'5N97AE8R!I9B!C;7`@+7,@)40O971C+W)C+F0O=&AR=6QA>60N
M<V@N<V%M<&QE("5$+V5T8R]R8RYD+W1H<G5L87ED+G-H.R!T:&5N(')M("UF
M("5$+V5T8R]R8RYD+W1H<G5L87ED+G-H.R!F:0HM971C+W)C+F0O=&AR=6QA
M>60N<V@N<V%M<&QE"BU`97AE8R!I9B!;("$@+68@)40O971C+W)C+F0O=&AR
M=6QA>60N<V@@72`[('1H96X@8W`@+7`@)40O)48@)4(O=&AR=6QA>60N<V@[
M(&9I"BMI;F-L=61E+W1H<G5L87DO8VQI96YT+F@**VEN8VQU9&4O=&AR=6QA
M>2]S97)V97(N:`HK;&EB+VQI8G1H<G5L87DN80HK;&EB+VQI8G1H<G5L87DN
M;&$**VQI8B]L:6)T:')U;&%Y+G-O"BML:6(O;&EB=&AR=6QA>2YS;RXP"BM`
M9&ER<FT@:6YC;'5D92]T:')U;&%Y"DEN9&5X.B!F:6QE<R]T:')U;&%Y9"YI
M;@H]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]
M/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]"E)#4R!F:6QE.B!F:6QE<R]T:')U
M;&%Y9"YI;@ID:69F("U.(&9I;&5S+W1H<G5L87ED+FEN"BTM+2`O9&5V+VYU
M;&P),2!*86X@,3DW,"`P,#HP,#HP,"`M,#`P,`HK*RL@9FEL97,O=&AR=6QA
M>60N:6X),3,@4V5P(#(P,#D@,30Z-3(Z-#(@+3`P,#`*0$`@+3`L,"`K,2PR
M,R!`0`HK(R$O8FEN+W-H"BL**R,@4%)/5DE$13H@=&AR=6QA>0HK"BLC($%D
M9"!T:&4@9F]L;&]W:6YG(&QI;F4@=&\@+V5T8R]R8RYC;VYF('1O(&5N86)L
M92!@=&AR=6QA>60G.@HK(PHK(W1H<G5L87ED7V5N86)L93TB6453(@HK(PHK
M"BLN("]E=&,O<F,N<W5B<@HK"BMN86UE/2)T:')U;&%Y9"(**W)C=F%R/6!S
M971?<F-V87)@"BL**R,@<F5A9"!S971T:6YG<RP@<V5T(&1E9F%U;'0@=F%L
M=65S"BML;V%D7W)C7V-O;F9I9R`B)'MN86UE?2(**SH@)'MT:')U;&%Y9%]E
M;F%B;&4](DY/(GT**SH@)'MT:')U;&%Y9%]D:7)E8W1O<GD](B4E4%)%1DE8
M)24O<V)I;B)]"BL**R,@<&%T:"!T;R!Y;W5R(&5X96-U=&%B;&4L(&UI9VAT
M(&)E(&)I;BP@<V)I;BP@+BXN"BMC;VUM86YD/2(D>W1H<G5L87ED7V1I<F5C
M=&]R>7TO=&AR=6QA>60B"BL**W)U;E]R8U]C;VUM86YD("(D,2(*26YD97@Z
M(&9I;&5S+W1H<G5L87ED+G-H+G-A;7!L90H]/3T]/3T]/3T]/3T]/3T]/3T]
M/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]/3T]
M/3T]"E)#4R!F:6QE.B!F:6QE<R]T:')U;&%Y9"YS:"YS86UP;&4*9&EF9B`M
M3B!F:6QE<R]T:')U;&%Y9"YS:"YS86UP;&4*+2TM(&9I;&5S+W1H<G5L87ED
M+G-H+G-A;7!L90DR,"!/8W0@,C`P-2`Q.3HS,CHQ-2`M,#`P,`DQ+C$**RLK
M("]D978O;G5L;`DQ($IA;B`Q.3<P(#`P.C`P.C`P("TP,#`P"D!`("TQ+#$T
M("LP+#`@0$`*+2,A+V)I;B]S:`HM"BUT:')U;&%Y9#TO=7-R+VQO8V%L+W-B
M:6XO=&AR=6QA>60*+0HM8V%S92`B)#$B(&EN"BUS=&%R="D*+0E;("UX("1T
M:')U;&%Y9"!=("8F("1T:')U;&%Y9"`F)B!E8VAO("UN("<@=&AR=6QA>60G
M"BT).SL*+2HI"BT)96-H;R`B57-A9V4Z(&!B87-E;F%M92`D,&`@>W-T87)T
<?2(@/B8R"BT).SL*+65S86,*+0HM97AI="`P"@``
`
end
Comment 11 dfilter service freebsd_committer 2009-09-19 21:05:50 UTC
itetcu      2009-09-19 20:05:36 UTC

  FreeBSD ports repository

  Modified files:
    benchmarks/thrulay   Makefile distinfo pkg-message pkg-plist 
  Removed files:
    benchmarks/thrulay/files thrulayd.sh.sample 
  Log:
  - Update to 0.9
  - use rc.d script
  - Update MASTER_SITES
  - use PORTDOCS
  - USE_LDCONFIG
  - obey custom PREFIX
  
  PR:             138366
  Submitted by:   Sylvio Cesar
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.4       +20 -8     ports/benchmarks/thrulay/Makefile
  1.3       +3 -3      ports/benchmarks/thrulay/distinfo
  1.2       +0 -14     ports/benchmarks/thrulay/files/thrulayd.sh.sample (dead)
  1.2       +9 -4      ports/benchmarks/thrulay/pkg-message
  1.2       +7 -3      ports/benchmarks/thrulay/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2009-09-19 21:08:56 UTC
itetcu      2009-09-19 20:08:48 UTC

  FreeBSD ports repository

  Added files:
    benchmarks/thrulay/files thrulayd.in 
  Log:
  Add file forgoten in previous commit:
   - Update to 0.9
   - use rc.d script
   - Update MASTER_SITES
   - use PORTDOCS
   - USE_LDCONFIG
   - obey custom PREFIX
  
   PR:             138366
   Submitted by:   Sylvio Cesar
   Approved by:    maintainer
   Feature safe:   yes
  
  Feature safe:   yes
  
  Revision  Changes    Path
  1.1       +23 -0     ports/benchmarks/thrulay/files/thrulayd.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-09-19 21:09:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!